Subject: RE: [External] : bug#64138: 28.2; C-x ) won't accept the universal argument

From: Drew Adams <[email-masked]>
Date: Sun, 18 Jun 2023 13:05:24 +0000

> > (Changing "C-u" to "C-u 4" gives the expected result.)
> > The "P" in the interactive declaration of kmacro-end-macro
> > should be a "p".
> 
> These commands always required a numeric prefix argument, and that is
> how they are documented.  So just "C-u" is invalid, you should use
> "C-u 4" instead.

I thought it was the case that unless specified
otherwise (i.e., unless C-u has another behavior),
when a numeric prefix arg has some behavior then
a plain C-u should act the same as C-u 4 (etc.).

I thought that when doc says _only_ "with numeric
prefix arg..." or "a numeric prefix arg means..."
that's short for an equivalent statement about
plain C-u (and its multiples), plain M--, etc.

I thought that any departure from this general
rule would be mentioned in the doc, including if
plain C-u were ignored or raised an error or...

Hasn't this been the (unwritten) convention?
(Just asking a question - not arguing.)

In this case, if plain C-u were indeed "invalid"
then I'd expect that to be documented.